/*
 * Copyright (C) 2005-2006 Kouji Sugisawa. All rights reserved.
 */

package jp.sourceforge.livez.vodafone;

import jp.sourceforge.livez.Browser;

/**
 * ボーダフォンブラウザ情報のインターフェースです。
 * 
 * @author 杉澤 浩二
 */
public interface VodafoneBrowser extends Browser {

	/**
	 * 常に <code>0</code> を返します。
	 */
	public int getColumn();

	/**
	 * 常に <code>0</code> を返します。
	 */
	public int getRow();

	/**
	 * 対応している MML のバージョン情報を返します。
	 * 不明な場合は <code>null</cod> を返します。
	 * 
	 * @return 対応 MML バージョン情報
	 */
	public Float getMmlVersion();

	/**
	 * 対応している HTML のバージョン情報を返します。
	 * 不明な場合は <code>null</cod> を返します。
	 * 
	 * @return 対応 HTML バージョン情報
	 */
	public Float getHtmlVersion();

}
